%define upstream_name    Test-Cukes
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A BBD test tool inspired by Cucumber
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Builder::Module) >= 0.800.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny) >= 0.70.0
BuildArch:  noarch

%description
Test::Cukes is a testing tool inspired by Cucumber (the http://cukes.info
manpage). It lets your write your module test with scenarios. It may be
used with the Test::More manpage or other family of TAP 'Test::*' modules.
It uses the Test::Builder::note manpage function internally to print
messages.

This module implements the Given-When-Then clause only in English. To uses
it in the test programs, feed the feature text into 'feature' function,
defines your step handlers, and then run all the tests by calling
'runtests'. Step handlers may be defined in separate modules, as long as
those modules are included before 'runtests' is called. Each step may use
either 'assert' or standard TAP functions such as 'Test::Simple''s 'ok' or
'Test::More''s 'is' to verify desired result. If you specify a plan
explicitly, you should be aware that each step line in your scenario runs
an additional test, and will therefore add to the number of tests you must
indicate.

If any assertion in the Given block failed, the following 'When' and 'Then'
blocks are all skipped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.110.0-2.mga9
+ Revision: 1812679
- Mageia 9 Mass Rebuild

* Wed May 20 2020 tv <tv> 0.110.0-1.mga8
+ Revision: 1586310
- update to 0.11

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-12.mga8
+ Revision: 1506233
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.100.0-11.mga7
+ Revision: 1286419
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.100.0-10.mga7
+ Revision: 1166734
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.100.0-9.mga7
+ Revision: 1159327
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-8.mga6
+ Revision: 1034246
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 949082
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.100.0-6.mga5
+ Revision: 788978
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 743826
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 686421
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 515108
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 373451
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40761
- mageia rebuild
- imported package perl-Test-Cukes


* Mon Dec 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.100.0-1mdv2011.0
+ Revision: 625381
- fix automatic dependencies
- update to new version 0.10

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.90.0-1mdv2011.0
+ Revision: 542847
- import perl-Test-Cukes


* Thu May 06 2010 cpan2dist 0.09-1mdv
- initial mdv release, generated with cpan2dist
